> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-1d264819.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 組織メンバーを更新

> 組織メンバーのロールを更新します。



## OpenAPI

````yaml /ja/products/cloud/api-reference/cloud-openapi.json patch /v1/organizations/{organizationId}/members/{userId}
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/members/{userId}:
    patch:
      tags:
        - User management
      summary: 組織メンバーを更新
      description: 組織メンバーのロールを更新します。
      parameters:
        - description: そのメンバーが所属する組織のID。
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: パッチを適用するユーザーのID
          in: path
          name: userId
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MemberPatchRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 各リクエストに割り当てられる一意のID。UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/Member'
                  status:
                    description: HTTPステータスコード。
                    example: 200
                    type: number
                type: object
          description: 成功レスポンス
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: エラーの詳細な説明。
                    type: string
                  status:
                    description: HTTPステータスコード。
                    example: 400
                    type: number
                type: object
          description: クライアントエラーと見なされる問題があるため、サーバーはリクエストを処理できないか、または処理しません。
components:
  schemas:
    MemberPatchRequest:
      properties:
        role:
          description: 組織内のメンバーのロール。
          enum:
            - admin
            - developer
          type: string
    Member:
      properties:
        email:
          description: 個人ユーザープロファイルに設定されたメンバーのメールアドレス。
          format: email
          type: string
        joinedAt:
          description: メンバーが組織に参加した日時のタイムスタンプ。ISO-8601。
          format: date-time
          type: string
        name:
          description: 個人ユーザープロファイルに設定されたメンバー名。
          type: string
        role:
          description: 組織内でのメンバーのロール。
          enum:
            - admin
            - developer
          type: string
        userId:
          description: 一意のユーザー ID。ユーザーが複数の組織に所属している場合でも、この ID は変わりません。
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud コンソールで取得した key ID と key secret を使用してください:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````